# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'StockLocation'
        db.create_table(u'stock_stocklocation', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('parent', self.gf('mptt.fields.TreeForeignKey')(blank=True, related_name='children', null=True, to=orm['stock.StockLocation'])),
            ('code', self.gf('django.db.models.fields.CharField')(max_length=128, db_index=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('type_location', self.gf('django.db.models.fields.CharField')(default='WH', max_length=3)),
            ('party', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['party.Party'], null=True, blank=True)),
            (u'lft', self.gf('django.db.models.fields.PositiveIntegerField')(db_index=True)),
            (u'rght', self.gf('django.db.models.fields.PositiveIntegerField')(db_index=True)),
            (u'tree_id', self.gf('django.db.models.fields.PositiveIntegerField')(db_index=True)),
            (u'level', self.gf('django.db.models.fields.PositiveIntegerField')(db_index=True)),
        ))
        db.send_create_signal(u'stock', ['StockLocation'])

        # Adding model 'Consignment'
        db.create_table(u'stock_consignment', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('doc_no', self.gf('django.db.models.fields.CharField')(max_length=128, db_index=True)),
            ('creation_date', self.gf('django.db.models.fields.DateTimeField')()),
            ('planned_date', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('effective_date', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('from_location_name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('from_location_code', self.gf('django.db.models.fields.CharField')(max_length=128)),
            ('to_location_name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('to_location_code', self.gf('django.db.models.fields.CharField')(max_length=128)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.CharField')(default='NEW', max_length=10)),
            ('solution', self.gf('django.db.models.fields.CharField')(max_length=15, null=True, blank=True)),
        ))
        db.send_create_signal(u'stock', ['Consignment'])

        # Adding model 'ConsignmentRow'
        db.create_table(u'stock_consignmentrow', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('product', self.gf('django.db.models.fields.CharField')(max_length=1024)),
            ('product_sku', self.gf('django.db.models.fields.CharField')(max_length=128)),
            ('quantity', self.gf('django.db.models.fields.DecimalField')(max_digits=12, decimal_places=3)),
            ('price_cost', self.gf('django.db.models.fields.DecimalField')(max_digits=15, decimal_places=2)),
            ('total_cost', self.gf('django.db.models.fields.DecimalField')(max_digits=15, decimal_places=2)),
            ('consignment', self.gf('django.db.models.fields.related.ForeignKey')(related_name='rows', to=orm['stock.Consignment'])),
        ))
        db.send_create_signal(u'stock', ['ConsignmentRow'])

        # Adding model 'RevaluationAct'
        db.create_table(u'stock_revaluationact', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('doc_no', self.gf('django.db.models.fields.CharField')(max_length=128, db_index=True)),
            ('creation_date', self.gf('django.db.models.fields.DateTimeField')()),
            ('location_name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('location_code', self.gf('django.db.models.fields.CharField')(max_length=128)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal(u'stock', ['RevaluationAct'])

        # Adding model 'RevaluationActRow'
        db.create_table(u'stock_revaluationactrow', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('product', self.gf('django.db.models.fields.CharField')(max_length=1024)),
            ('product_sku', self.gf('django.db.models.fields.CharField')(max_length=128)),
            ('price_cost', self.gf('django.db.models.fields.DecimalField')(max_digits=15, decimal_places=2)),
            ('revaluation_act', self.gf('django.db.models.fields.related.ForeignKey')(related_name='rows', to=orm['stock.RevaluationAct'])),
        ))
        db.send_create_signal(u'stock', ['RevaluationActRow'])


    def backwards(self, orm):
        # Deleting model 'StockLocation'
        db.delete_table(u'stock_stocklocation')

        # Deleting model 'Consignment'
        db.delete_table(u'stock_consignment')

        # Deleting model 'ConsignmentRow'
        db.delete_table(u'stock_consignmentrow')

        # Deleting model 'RevaluationAct'
        db.delete_table(u'stock_revaluationact')

        # Deleting model 'RevaluationActRow'
        db.delete_table(u'stock_revaluationactrow')


    models = {
        u'address.address': {
            'Meta': {'object_name': 'Address'},
            'city': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'country': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['country.Country']"}),
            'district': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'flat': ('django.db.models.fields.CharField', [], {'max_length': '56', 'null': 'True', 'blank': 'True'}),
            'house': ('django.db.models.fields.CharField', [], {'max_length': '56'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'postal_index': ('django.db.models.fields.CharField', [], {'max_length': '16'}),
            'street': ('django.db.models.fields.CharField', [], {'max_length': '256'})
        },
        u'country.country': {
            'Meta': {'object_name': 'Country'},
            'code': ('django.db.models.fields.PositiveIntegerField', [], {'unique': 'True'}),
            'full_name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'symbol': ('django.db.models.fields.CharField', [], {'max_length': '3'})
        },
        u'party.party': {
            'Meta': {'object_name': 'Party'},
            'addresses': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': u"orm['address.Address']", 'null': 'True', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'gender': ('django.db.models.fields.CharField', [], {'default': "'undefined'", 'max_length': '16', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'marital_status': ('django.db.models.fields.CharField', [], {'default': "'undefined'", 'max_length': '16', 'null': 'True', 'blank': 'True'}),
            'middle_name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '255', 'null': 'True', 'blank': 'True'})
        },
        u'stock.consignment': {
            'Meta': {'object_name': 'Consignment'},
            'creation_date': ('django.db.models.fields.DateTimeField', [], {}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'doc_no': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            'effective_date': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'from_location_code': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'from_location_name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'planned_date': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'solution': ('django.db.models.fields.CharField', [], {'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "'NEW'", 'max_length': '10'}),
            'to_location_code': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'to_location_name': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'stock.consignmentrow': {
            'Meta': {'object_name': 'ConsignmentRow'},
            'consignment': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'rows'", 'to': u"orm['stock.Consignment']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'price_cost': ('django.db.models.fields.DecimalField', [], {'max_digits': '15', 'decimal_places': '2'}),
            'product': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'product_sku': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'quantity': ('django.db.models.fields.DecimalField', [], {'max_digits': '12', 'decimal_places': '3'}),
            'total_cost': ('django.db.models.fields.DecimalField', [], {'max_digits': '15', 'decimal_places': '2'})
        },
        u'stock.revaluationact': {
            'Meta': {'object_name': 'RevaluationAct'},
            'creation_date': ('django.db.models.fields.DateTimeField', [], {}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'doc_no': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'location_code': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'location_name': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'stock.revaluationactrow': {
            'Meta': {'object_name': 'RevaluationActRow'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'price_cost': ('django.db.models.fields.DecimalField', [], {'max_digits': '15', 'decimal_places': '2'}),
            'product': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'product_sku': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'revaluation_act': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'rows'", 'to': u"orm['stock.RevaluationAct']"})
        },
        u'stock.stocklocation': {
            'Meta': {'object_name': 'StockLocation'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            u'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            u'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'parent': ('mptt.fields.TreeForeignKey', [], {'blank': 'True', 'related_name': "'children'", 'null': 'True', 'to': u"orm['stock.StockLocation']"}),
            'party': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['party.Party']", 'null': 'True', 'blank': 'True'}),
            u'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            u'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'type_location': ('django.db.models.fields.CharField', [], {'default': "'WH'", 'max_length': '3'})
        }
    }

    complete_apps = ['stock']