# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding field 'ReserveRegister.actual_datetime'
        db.add_column(u'stock_reserveregister', 'actual_datetime',
                      self.gf('django.db.models.fields.DateTimeField')(default=datetime.datetime(2015, 11, 18, 0, 0)),
                      keep_default=False)

        # Adding field 'ReserveRegister.actual_quantity'
        db.add_column(u'stock_reserveregister', 'actual_quantity',
                      self.gf('django.db.models.fields.DecimalField')(default=0, null=True, max_digits=12, decimal_places=3),
                      keep_default=False)

        # Adding field 'ReserveRegister.location'
        db.add_column(u'stock_reserveregister', 'location',
                      self.gf('django.db.models.fields.related.ForeignKey')(default=1, to=orm['stock.StockLocation']),
                      keep_default=False)

        # Adding field 'ReserveRegister.product'
        db.add_column(u'stock_reserveregister', 'product',
                      self.gf('django.db.models.fields.related.ForeignKey')(default=1, to=orm['product.Product']),
                      keep_default=False)


    def backwards(self, orm):
        # Deleting field 'ReserveRegister.actual_datetime'
        db.delete_column(u'stock_reserveregister', 'actual_datetime')

        # Deleting field 'ReserveRegister.actual_quantity'
        db.delete_column(u'stock_reserveregister', 'actual_quantity')

        # Deleting field 'ReserveRegister.location'
        db.delete_column(u'stock_reserveregister', 'location_id')

        # Deleting field 'ReserveRegister.product'
        db.delete_column(u'stock_reserveregister', 'product_id')


    models = {
        u'address.address': {
            'Meta': {'object_name': 'Address'},
            'city': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'country': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['country.Country']"}),
            'district': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'flat': ('django.db.models.fields.CharField', [], {'max_length': '56', 'null': 'True', 'blank': 'True'}),
            'house': ('django.db.models.fields.CharField', [], {'max_length': '56'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'postal_index': ('django.db.models.fields.CharField', [], {'max_length': '16'}),
            'street': ('django.db.models.fields.CharField', [], {'max_length': '256'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'country.country': {
            'Meta': {'object_name': 'Country'},
            'code': ('django.db.models.fields.PositiveIntegerField', [], {'unique': 'True'}),
            'full_name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'symbol': ('django.db.models.fields.CharField', [], {'max_length': '3'})
        },
        u'party.party': {
            'Meta': {'object_name': 'Party'},
            'addresses': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': u"orm['address.Address']", 'null': 'True', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'gender': ('django.db.models.fields.CharField', [], {'default': "'undefined'", 'max_length': '16', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'marital_status': ('django.db.models.fields.CharField', [], {'default': "'undefined'", 'max_length': '16', 'null': 'True', 'blank': 'True'}),
            'middle_name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '255', 'null': 'True', 'blank': 'True'})
        },
        u'product.product': {
            'Meta': {'object_name': 'Product'},
            'category': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['product.ProductCategory']", 'null': 'True', 'blank': 'True'}),
            'consignment_country': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['country.Country']", 'null': 'True', 'blank': 'True'}),
            'cost_method': ('django.db.models.fields.CharField', [], {'default': "'fixed'", 'max_length': '12', 'null': 'True', 'blank': 'True'}),
            'cost_price': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '15', 'decimal_places': '2', 'blank': 'True'}),
            'group': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['product.ProductGroup']", 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_synchronized': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'list_price': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '15', 'decimal_places': '2', 'blank': 'True'}),
            'manufacturer': ('django.db.models.fields.CharField', [], {'max_length': '1024', 'null': 'True', 'blank': 'True'}),
            'manufacturer_code': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'product_type': ('django.db.models.fields.CharField', [], {'default': "'storable'", 'max_length': '12'}),
            'serial_mark': ('django.db.models.fields.CharField', [], {'default': "'accounted_party'", 'max_length': '16'}),
            'short_desc': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'sku': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '128', 'db_index': 'True'}),
            'uom': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['product.Uom']"})
        },
        u'product.productcategory': {
            'Meta': {'object_name': 'ProductCategory'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'product.productgroup': {
            'Meta': {'object_name': 'ProductGroup'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            u'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            u'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'parent': ('mptt.fields.TreeForeignKey', [], {'blank': 'True', 'related_name': "'children'", 'null': 'True', 'to': u"orm['product.ProductGroup']"}),
            u'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            u'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'})
        },
        u'product.uom': {
            'Meta': {'object_name': 'Uom'},
            'category': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['product.UomCategory']"}),
            'code': ('django.db.models.fields.CharField', [], {'max_length': '16', 'db_index': 'True'}),
            'form': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'international_symbol': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'symbol': ('django.db.models.fields.CharField', [], {'max_length': '56'})
        },
        u'product.uomcategory': {
            'Meta': {'object_name': 'UomCategory'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255', 'db_index': 'True'})
        },
        u'stock.consignment': {
            'Meta': {'object_name': 'Consignment'},
            'creation_date': ('django.db.models.fields.DateTimeField', [], {}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'doc_no': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            'effective_date': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'from_location_code': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'from_location_name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'planned_date': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'solution': ('django.db.models.fields.CharField', [], {'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "'NEW'", 'max_length': '10'}),
            'to_location_code': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'to_location_name': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'stock.consignmentrow': {
            'Meta': {'object_name': 'ConsignmentRow'},
            'consignment': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'rows'", 'to': u"orm['stock.Consignment']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'price_cost': ('django.db.models.fields.DecimalField', [], {'max_digits': '15', 'decimal_places': '2'}),
            'product': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'product_sku': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'quantity': ('django.db.models.fields.DecimalField', [], {'max_digits': '12', 'decimal_places': '3'}),
            'total_cost': ('django.db.models.fields.DecimalField', [], {'max_digits': '15', 'decimal_places': '2'})
        },
        u'stock.reservegoodsdoc': {
            'Meta': {'object_name': 'ReserveGoodsDoc'},
            'creation_date': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'doc_no': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'location_code': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'location_name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'reason': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'solution': ('django.db.models.fields.CharField', [], {'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "'NEW'", 'max_length': '10'})
        },
        u'stock.reservegoodsrow': {
            'Meta': {'object_name': 'ReserveGoodsRow'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'price_cost': ('django.db.models.fields.DecimalField', [], {'max_digits': '15', 'decimal_places': '2'}),
            'product': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'product_sku': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'quantity': ('django.db.models.fields.DecimalField', [], {'max_digits': '12', 'decimal_places': '3'}),
            'reserve_goods_doc': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'rows'", 'to': u"orm['stock.ReserveGoodsDoc']"})
        },
        u'stock.reserveregister': {
            'Meta': {'object_name': 'ReserveRegister'},
            'actual_datetime': ('django.db.models.fields.DateTimeField', [], {}),
            'actual_quantity': ('django.db.models.fields.DecimalField', [], {'default': '0', 'null': 'True', 'max_digits': '12', 'decimal_places': '3'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'location': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['stock.StockLocation']"}),
            'product': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['product.Product']"})
        },
        u'stock.reserveregisterrow': {
            'Meta': {'object_name': 'ReserveRegisterRow'},
            'creation_date': ('django.db.models.fields.DateTimeField', [], {}),
            'doc_content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            'doc_id': ('django.db.models.fields.PositiveIntegerField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'price_cost': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '15', 'decimal_places': '2', 'blank': 'True'}),
            'quantity': ('django.db.models.fields.DecimalField', [], {'max_digits': '12', 'decimal_places': '3'}),
            'register': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'rows'", 'to': u"orm['stock.ReserveRegister']"})
        },
        u'stock.restregister': {
            'Meta': {'object_name': 'RestRegister'},
            'actual_datetime': ('django.db.models.fields.DateTimeField', [], {}),
            'actual_price_cost': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '15', 'decimal_places': '2', 'blank': 'True'}),
            'actual_quantity': ('django.db.models.fields.DecimalField', [], {'default': '0', 'null': 'True', 'max_digits': '12', 'decimal_places': '3'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'location': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['stock.StockLocation']"}),
            'product': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['product.Product']"})
        },
        u'stock.restregisterrow': {
            'Meta': {'object_name': 'RestRegisterRow'},
            'creation_date': ('django.db.models.fields.DateTimeField', [], {}),
            'doc_content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            'doc_id': ('django.db.models.fields.PositiveIntegerField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'price_cost': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '15', 'decimal_places': '2', 'blank': 'True'}),
            'quantity': ('django.db.models.fields.DecimalField', [], {'max_digits': '12', 'decimal_places': '3'}),
            'register': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'rows'", 'to': u"orm['stock.RestRegister']"})
        },
        u'stock.revaluationact': {
            'Meta': {'object_name': 'RevaluationAct'},
            'creation_date': ('django.db.models.fields.DateTimeField', [], {}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'doc_no': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'location_code': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'location_name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'solution': ('django.db.models.fields.CharField', [], {'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "'NEW'", 'max_length': '10'})
        },
        u'stock.revaluationactrow': {
            'Meta': {'object_name': 'RevaluationActRow'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'price_cost': ('django.db.models.fields.DecimalField', [], {'max_digits': '15', 'decimal_places': '2'}),
            'product': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'product_sku': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'revaluation_act': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'rows'", 'to': u"orm['stock.RevaluationAct']"})
        },
        u'stock.stocklocation': {
            'Meta': {'object_name': 'StockLocation'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            u'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            u'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'parent': ('mptt.fields.TreeForeignKey', [], {'blank': 'True', 'related_name': "'children'", 'null': 'True', 'to': u"orm['stock.StockLocation']"}),
            'party': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['party.Party']", 'null': 'True', 'blank': 'True'}),
            u'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            u'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'type_location': ('django.db.models.fields.CharField', [], {'default': "'WH'", 'max_length': '3'})
        }
    }

    complete_apps = ['stock']