# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Deleting model 'ReserveGoodsDocRow'
        db.delete_table(u'stock_reservegoodsdocrow')

        # Deleting model 'ReserveGoodsDoc'
        db.delete_table(u'stock_reservegoodsdoc')

        # Adding model 'ReleaseReserveRow'
        db.create_table(u'stock_releasereserverow', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('product', self.gf('django.db.models.fields.CharField')(max_length=1024)),
            ('product_sku', self.gf('django.db.models.fields.CharField')(max_length=128)),
            ('quantity', self.gf('django.db.models.fields.DecimalField')(max_digits=12, decimal_places=3)),
            ('release_reserve_doc', self.gf('django.db.models.fields.related.ForeignKey')(related_name='rows', to=orm['stock.ReleaseReserveDoc'])),
        ))
        db.send_create_signal(u'stock', ['ReleaseReserveRow'])

        # Adding model 'ReleaseReserveDoc'
        db.create_table(u'stock_releasereservedoc', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('doc_no', self.gf('django.db.models.fields.CharField')(max_length=128, db_index=True)),
            ('code', self.gf('django.db.models.fields.CharField')(max_length=128)),
            ('creation_date', self.gf('django.db.models.fields.DateTimeField')()),
            ('effective_date', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('last_modify_date', self.gf('django.db.models.fields.DateTimeField')()),
            ('location_name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('location_code', self.gf('django.db.models.fields.CharField')(max_length=128)),
            ('reason', self.gf('django.db.models.fields.CharField')(max_length=1024, null=True, blank=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.CharField')(default='NEW', max_length=10)),
            ('solution', self.gf('django.db.models.fields.CharField')(max_length=15, null=True, blank=True)),
        ))
        db.send_create_signal(u'stock', ['ReleaseReserveDoc'])

        # Adding field 'Consignment.code'
        db.add_column(u'stock_consignment', 'code',
                      self.gf('django.db.models.fields.CharField')(default=datetime.datetime(2015, 12, 28, 0, 0), max_length=128),
                      keep_default=False)

        # Adding field 'RevaluationAct.code'
        db.add_column(u'stock_revaluationact', 'code',
                      self.gf('django.db.models.fields.CharField')(default=datetime.datetime(2015, 12, 28, 0, 0), max_length=128),
                      keep_default=False)


    def backwards(self, orm):
        # Adding model 'ReserveGoodsDocRow'
        db.create_table(u'stock_reservegoodsdocrow', (
            ('product', self.gf('django.db.models.fields.CharField')(max_length=1024)),
            ('reserve_goods_doc', self.gf('django.db.models.fields.related.ForeignKey')(related_name='rows', to=orm['stock.ReserveGoodsDoc'])),
            ('price_cost', self.gf('django.db.models.fields.DecimalField')(max_digits=15, decimal_places=2)),
            ('product_sku', self.gf('django.db.models.fields.CharField')(max_length=128)),
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('quantity', self.gf('django.db.models.fields.DecimalField')(max_digits=12, decimal_places=3)),
        ))
        db.send_create_signal(u'stock', ['ReserveGoodsDocRow'])

        # Adding model 'ReserveGoodsDoc'
        db.create_table(u'stock_reservegoodsdoc', (
            ('status', self.gf('django.db.models.fields.CharField')(default='NEW', max_length=10)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('doc_no', self.gf('django.db.models.fields.CharField')(max_length=128, db_index=True)),
            ('creation_date', self.gf('django.db.models.fields.DateTimeField')()),
            ('last_modify_date', self.gf('django.db.models.fields.DateTimeField')()),
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('location_name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('solution', self.gf('django.db.models.fields.CharField')(max_length=15, null=True, blank=True)),
            ('transaction_no', self.gf('django.db.models.fields.CharField')(max_length=128, unique=True)),
            ('location_code', self.gf('django.db.models.fields.CharField')(max_length=128)),
            ('effective_date', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
        ))
        db.send_create_signal(u'stock', ['ReserveGoodsDoc'])

        # Deleting model 'ReleaseReserveRow'
        db.delete_table(u'stock_releasereserverow')

        # Deleting model 'ReleaseReserveDoc'
        db.delete_table(u'stock_releasereservedoc')

        # Deleting field 'Consignment.code'
        db.delete_column(u'stock_consignment', 'code')

        # Deleting field 'RevaluationAct.code'
        db.delete_column(u'stock_revaluationact', 'code')


    models = {
        u'address.address': {
            'Meta': {'object_name': 'Address'},
            'city': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'country': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['country.Country']"}),
            'district': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'flat': ('django.db.models.fields.CharField', [], {'max_length': '56', 'null': 'True', 'blank': 'True'}),
            'house': ('django.db.models.fields.CharField', [], {'max_length': '56'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'postal_index': ('django.db.models.fields.CharField', [], {'max_length': '16'}),
            'street': ('django.db.models.fields.CharField', [], {'max_length': '256'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'country.country': {
            'Meta': {'object_name': 'Country'},
            'code': ('django.db.models.fields.PositiveIntegerField', [], {'unique': 'True'}),
            'full_name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'symbol': ('django.db.models.fields.CharField', [], {'max_length': '3'})
        },
        u'party.party': {
            'Meta': {'object_name': 'Party'},
            'addresses': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': u"orm['address.Address']", 'null': 'True', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'gender': ('django.db.models.fields.CharField', [], {'default': "'undefined'", 'max_length': '16', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'marital_status': ('django.db.models.fields.CharField', [], {'default': "'undefined'", 'max_length': '16', 'null': 'True', 'blank': 'True'}),
            'middle_name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '255', 'null': 'True', 'blank': 'True'})
        },
        u'product.product': {
            'Meta': {'object_name': 'Product'},
            'category': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['product.ProductCategory']", 'null': 'True', 'blank': 'True'}),
            'consignment_country': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['country.Country']", 'null': 'True', 'blank': 'True'}),
            'cost_method': ('django.db.models.fields.CharField', [], {'default': "'fixed'", 'max_length': '12', 'null': 'True', 'blank': 'True'}),
            'cost_price': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '15', 'decimal_places': '2', 'blank': 'True'}),
            'group': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['product.ProductGroup']", 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_synchronized': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'last_modify_date': ('django.db.models.fields.DateTimeField', [], {}),
            'list_price': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '15', 'decimal_places': '2', 'blank': 'True'}),
            'manufacturer': ('django.db.models.fields.CharField', [], {'max_length': '1024', 'null': 'True', 'blank': 'True'}),
            'manufacturer_code': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'product_type': ('django.db.models.fields.CharField', [], {'default': "'storable'", 'max_length': '12'}),
            'serial_mark': ('django.db.models.fields.CharField', [], {'default': "'accounted_party'", 'max_length': '16'}),
            'short_desc': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'sku': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '128', 'db_index': 'True'}),
            'uom': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['product.Uom']"})
        },
        u'product.productcategory': {
            'Meta': {'object_name': 'ProductCategory'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modify_date': ('django.db.models.fields.DateTimeField', [], {}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'product.productgroup': {
            'Meta': {'object_name': 'ProductGroup'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modify_date': ('django.db.models.fields.DateTimeField', [], {}),
            u'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            u'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'parent': ('mptt.fields.TreeForeignKey', [], {'blank': 'True', 'related_name': "'children'", 'null': 'True', 'to': u"orm['product.ProductGroup']"}),
            u'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            u'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'})
        },
        u'product.uom': {
            'Meta': {'object_name': 'Uom'},
            'category': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['product.UomCategory']"}),
            'code': ('django.db.models.fields.CharField', [], {'max_length': '16', 'db_index': 'True'}),
            'form': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'international_symbol': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'symbol': ('django.db.models.fields.CharField', [], {'max_length': '56'})
        },
        u'product.uomcategory': {
            'Meta': {'object_name': 'UomCategory'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255', 'db_index': 'True'})
        },
        u'stock.consignment': {
            'Meta': {'object_name': 'Consignment'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'creation_date': ('django.db.models.fields.DateTimeField', [], {}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'doc_no': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            'effective_date': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'from_location_code': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'from_location_name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modify_date': ('django.db.models.fields.DateTimeField', [], {}),
            'planned_date': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'solution': ('django.db.models.fields.CharField', [], {'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "'NEW'", 'max_length': '10'}),
            'to_location_code': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'to_location_name': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'stock.consignmentrow': {
            'Meta': {'object_name': 'ConsignmentRow'},
            'consignment': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'rows'", 'to': u"orm['stock.Consignment']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'price_cost': ('django.db.models.fields.DecimalField', [], {'max_digits': '15', 'decimal_places': '2'}),
            'product': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'product_sku': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'quantity': ('django.db.models.fields.DecimalField', [], {'max_digits': '12', 'decimal_places': '3'}),
            'total_cost': ('django.db.models.fields.DecimalField', [], {'max_digits': '15', 'decimal_places': '2'})
        },
        u'stock.releasereservedoc': {
            'Meta': {'object_name': 'ReleaseReserveDoc'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'creation_date': ('django.db.models.fields.DateTimeField', [], {}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'doc_no': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            'effective_date': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modify_date': ('django.db.models.fields.DateTimeField', [], {}),
            'location_code': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'location_name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'reason': ('django.db.models.fields.CharField', [], {'max_length': '1024', 'null': 'True', 'blank': 'True'}),
            'solution': ('django.db.models.fields.CharField', [], {'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "'NEW'", 'max_length': '10'})
        },
        u'stock.releasereserverow': {
            'Meta': {'object_name': 'ReleaseReserveRow'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'product': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'product_sku': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'quantity': ('django.db.models.fields.DecimalField', [], {'max_digits': '12', 'decimal_places': '3'}),
            'release_reserve_doc': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'rows'", 'to': u"orm['stock.ReleaseReserveDoc']"})
        },
        u'stock.reserveregister': {
            'Meta': {'object_name': 'ReserveRegister'},
            'actual_datetime': ('django.db.models.fields.DateTimeField', [], {}),
            'actual_quantity': ('django.db.models.fields.DecimalField', [], {'default': '0', 'null': 'True', 'max_digits': '12', 'decimal_places': '3'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'location': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['stock.StockLocation']"}),
            'product': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['product.Product']"})
        },
        u'stock.reserveregisterrow': {
            'Meta': {'object_name': 'ReserveRegisterRow'},
            'creation_date': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'doc_content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            'doc_id': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'effective_date': ('django.db.models.fields.DateTimeField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'quantity': ('django.db.models.fields.DecimalField', [], {'max_digits': '12', 'decimal_places': '3'}),
            'register': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'rows'", 'to': u"orm['stock.ReserveRegister']"})
        },
        u'stock.restregister': {
            'Meta': {'object_name': 'RestRegister'},
            'actual_datetime': ('django.db.models.fields.DateTimeField', [], {}),
            'actual_price_cost': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '15', 'decimal_places': '2', 'blank': 'True'}),
            'actual_quantity': ('django.db.models.fields.DecimalField', [], {'default': '0', 'null': 'True', 'max_digits': '12', 'decimal_places': '3'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'location': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['stock.StockLocation']"}),
            'product': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['product.Product']"})
        },
        u'stock.restregisterrow': {
            'Meta': {'object_name': 'RestRegisterRow'},
            'creation_date': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'doc_content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            'doc_id': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'effective_date': ('django.db.models.fields.DateTimeField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'price_cost': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '15', 'decimal_places': '2', 'blank': 'True'}),
            'quantity': ('django.db.models.fields.DecimalField', [], {'max_digits': '12', 'decimal_places': '3'}),
            'register': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'rows'", 'to': u"orm['stock.RestRegister']"})
        },
        u'stock.revaluationact': {
            'Meta': {'object_name': 'RevaluationAct'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'creation_date': ('django.db.models.fields.DateTimeField', [], {}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'doc_no': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            'effective_date': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modify_date': ('django.db.models.fields.DateTimeField', [], {}),
            'location_code': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'location_name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'solution': ('django.db.models.fields.CharField', [], {'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "'NEW'", 'max_length': '10'})
        },
        u'stock.revaluationactrow': {
            'Meta': {'object_name': 'RevaluationActRow'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'price_cost': ('django.db.models.fields.DecimalField', [], {'max_digits': '15', 'decimal_places': '2'}),
            'product': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'product_sku': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'revaluation_act': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'rows'", 'to': u"orm['stock.RevaluationAct']"})
        },
        u'stock.sequence': {
            'Meta': {'object_name': 'Sequence'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'number': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'prefix': ('django.db.models.fields.CharField', [], {'max_length': '8', 'null': 'True', 'blank': 'True'}),
            'separator': ('django.db.models.fields.CharField', [], {'default': "'-'", 'max_length': '1', 'blank': 'True'}),
            'suffix': ('django.db.models.fields.CharField', [], {'max_length': '8', 'null': 'True', 'blank': 'True'})
        },
        u'stock.stocklocation': {
            'Meta': {'object_name': 'StockLocation'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            u'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            u'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'parent': ('mptt.fields.TreeForeignKey', [], {'blank': 'True', 'related_name': "'children'", 'null': 'True', 'to': u"orm['stock.StockLocation']"}),
            'party': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['party.Party']", 'null': 'True', 'blank': 'True'}),
            u'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            u'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'type_location': ('django.db.models.fields.CharField', [], {'default': "'WH'", 'max_length': '3'})
        }
    }

    complete_apps = ['stock']